> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> List Customers with pagination



## OpenAPI

````yaml get /v1/customers
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/customers:
    get:
      tags:
        - Customer
      summary: List Customers
      description: List Customers with pagination
      parameters:
        - example: 1
          x-order: '1'
          name: page
          in: query
          schema:
            type: integer
            minimum: 1
        - example: 25
          x-order: '2'
          name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - example: '2021-01-01T00:00:00Z'
          x-order: '3'
          description: 'format: 2006-01-02T15:04:05Z (ISO 8601) UTC'
          name: created_after
          in: query
          schema:
            type: string
        - example: '2021-01-01T00:00:00Z'
          x-order: '4'
          description: 'format: 2006-01-02T15:04:05Z (ISO 8601) UTC'
          name: created_before
          in: query
          schema:
            type: string
        - example: '2021-01-01T00:00:00Z'
          x-order: '5'
          description: 'format: 2006-01-02T15:04:05Z (ISO 8601) UTC'
          name: updated_after
          in: query
          schema:
            type: string
        - example: '2021-01-01T00:00:00Z'
          x-order: '6'
          description: 'format: 2006-01-02T15:04:05Z (ISO 8601) UTC'
          name: updated_before
          in: query
          schema:
            type: string
        - example: created_at
          x-order: '7'
          name: sort_by
          in: query
          schema:
            type: string
            enum:
              - created_at
              - updated_at
              - company_name
              - display_name
            default: updated_at
        - example: asc
          x-order: '8'
          name: sort
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - example:
            - CUS123
            - CUS124
          x-order: '9'
          description: List of customer reference ids separated by comma
          name: reference_ids
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessPaginationResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/dtos.CustomerListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessPaginationResponse:
      type: object
      properties:
        data:
          x-order: '1'
        pagination:
          allOf:
            - $ref: '#/components/schemas/dtos.PaginationResponse'
          x-order: '2'
    dtos.CustomerListResponse:
      type: object
      properties:
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        reference_id:
          type: string
          x-order: '2'
          example: '1234567890'
        display_id:
          type: string
          x-order: '3'
          example: WC_1234567890
        name:
          type: string
          x-order: '4'
          example: Customer Name
        display_name:
          type: string
          x-order: '5'
          example: Customer Display Name
        first_name:
          type: string
          x-order: '6'
          example: John
        last_name:
          type: string
          x-order: '7'
          example: Doe
        phone:
          type: string
          x-order: '8'
          example: '+14155552671'
        email:
          type: string
          x-order: '9'
          example: john.doe@example.com
        status:
          type: string
          x-order: '10'
          example: active
        freight_term:
          type: string
          x-order: '11'
          example: Cust. Pickup
        shipping_method:
          type: string
          x-order: '12'
          example: DHL
        payment_mode:
          type: string
          x-order: '13'
          example: AMEX
        payment_term:
          type: string
          x-order: '14'
          example: NET30
        created_at:
          type: string
          x-order: '15'
          example: '2025-01-01T15:04:05Z'
        updated_at:
          type: string
          x-order: '16'
          example: '2025-01-01T15:04:05Z'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.PaginationResponse:
      type: object
      properties:
        total_records:
          type: integer
          x-order: '1'
          example: 100
        total_pages:
          type: integer
          x-order: '2'
          example: 10
        current_page:
          type: integer
          x-order: '3'
          example: 1
        next_page:
          type: integer
          x-order: '4'
          example: 2
        prev_page:
          type: integer
          x-order: '5'
          example: 0
        page_size:
          type: integer
          x-order: '6'
          example: 10
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````